MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025051Open CASCADE[OCCT] OCCT:Codingpublic2014-07-04 13:132014-11-11 12:53
Reporterdbv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025051: Compilation issues on OS X 10.6.8
DescriptionCurrent master has compilation issue on OS X 10.6.8
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029963)
dbv (developer)
2014-07-04 13:16

Added define to prevent inclusion of system glext.h on Mac OS X 10.6.8

Dear kgv, patch is ready to be reviewed in branch CR25051
(0029969)
kgv (developer)
2014-07-04 14:01

Please test patch compilation on OS X.
(0029983)
mkv (tester)
2014-07-07 12:44

Dear BugMaster,

Branch CR25051 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 0d1b03d9fa9039f705c155870cf3d53ddfcb4b04

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)
(0030342)
git (administrator)
2014-07-22 16:18

Branch CR25051 has been deleted by inv.

SHA-1: 0d1b03d9fa9039f705c155870cf3d53ddfcb4b04

- Related Changesets
occt: master 0e9d3b83
Timestamp: 2014-07-04 09:14:32
Author: dbv
Committer: apn
Details ] Diff ]
0025051: Compilation issues on OS X 10.6.8

Added define to prevent inclusion of system glext.h on Mac OS X 10.6.8
mod - src/OpenGl/OpenGl_Context_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-04 13:13 dbv New Issue
2014-07-04 13:13 dbv Assigned To => dbv
2014-07-04 13:15 dbv Status new => assigned
2014-07-04 13:16 dbv Note Added: 0029963
2014-07-04 13:16 dbv Assigned To dbv => kgv
2014-07-04 13:16 dbv Status assigned => resolved
2014-07-04 14:01 kgv Note Added: 0029969
2014-07-04 14:01 kgv Assigned To kgv => bugmaster
2014-07-04 14:01 kgv Severity minor => trivial
2014-07-04 14:01 kgv Status resolved => reviewed
2014-07-04 14:22 mkv Assigned To bugmaster => mkv
2014-07-07 12:44 mkv Note Added: 0029983
2014-07-07 12:44 mkv Test case number => Not needed
2014-07-07 12:44 mkv Assigned To mkv => bugmaster
2014-07-07 12:44 mkv Status reviewed => tested
2014-07-11 14:22 apn Changeset attached => occt master 0e9d3b83
2014-07-11 14:22 apn Assigned To bugmaster => apn
2014-07-11 14:22 apn Status tested => verified
2014-07-11 14:22 apn Resolution open => fixed
2014-07-22 16:18 git Note Added: 0030342
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker